﻿-- DROP SCHEMA mo_auth;

CREATE SCHEMA mo_auth;

-- DROP SEQUENCE mo_auth.db_version_id_seq;

CREATE SEQUENCE mo_auth.db_version_id_seq
	INCREMENT BY 1
	MINVALUE 1
	MAXVALUE 2147483647
	START 1
	CACHE 1
	NO CYCLE;
-- DROP SEQUENCE mo_auth.organization_org_id_seq;

CREATE SEQUENCE mo_auth.organization_org_id_seq
	INCREMENT BY 1
	MINVALUE 1
	MAXVALUE 2147483647
	START 1
	CACHE 1
	NO CYCLE;
-- DROP SEQUENCE mo_auth.users_user_id_seq;

CREATE SEQUENCE mo_auth.users_user_id_seq
	INCREMENT BY 1
	MINVALUE 1
	MAXVALUE 2147483647
	START 1
	CACHE 1
	NO CYCLE;-- mo_auth.db_version definition

-- Drop table

-- DROP TABLE mo_auth.db_version;

CREATE TABLE mo_auth.db_version (
	id serial4 NOT NULL,
	"version" varchar(100) NULL,
	"date" timestamp DEFAULT CURRENT_TIMESTAMP NULL,
	CONSTRAINT db_version_pkey PRIMARY KEY (id)
);


-- mo_auth.organization definition

-- Drop table

-- DROP TABLE mo_auth.organization;

CREATE TABLE mo_auth.organization (
	org_id serial4 NOT NULL,
	json_data jsonb NULL,
	CONSTRAINT organization_pkey PRIMARY KEY (org_id)
);


-- mo_auth.users definition

-- Drop table

-- DROP TABLE mo_auth.users;

CREATE TABLE mo_auth.users (
	user_id serial4 NOT NULL,
	login varchar(1000) NULL,
	pwd varchar(1000) NULL,
	org_id int4 NULL,
	json_data jsonb NULL,
	is_admin bool NULL,
	privilege varchar(1000) NULL,
	CONSTRAINT users_pkey PRIMARY KEY (user_id)
);

-- DROP SCHEMA mo_data;

CREATE SCHEMA mo_data;

-- DROP SEQUENCE mo_data."bc_kls_C002001_seq";

CREATE SEQUENCE mo_data."bc_kls_C002001_seq"
	INCREMENT BY 1
	MINVALUE 1
	MAXVALUE 2147483647
	START 1
	CACHE 1
	NO CYCLE;
-- DROP SEQUENCE mo_data.file_info_file_id_seq;

CREATE SEQUENCE mo_data.file_info_file_id_seq
	INCREMENT BY 1
	MINVALUE 1
	MAXVALUE 2147483647
	START 1
	CACHE 1
	NO CYCLE;
-- DROP SEQUENCE mo_data.import_log_log_id_seq;

CREATE SEQUENCE mo_data.import_log_log_id_seq
	INCREMENT BY 1
	MINVALUE 1
	MAXVALUE 2147483647
	START 1
	CACHE 1
	NO CYCLE;-- mo_data.bc_kls definition

-- Drop table

-- DROP TABLE mo_data.bc_kls;

CREATE TABLE mo_data.bc_kls (
	"C002001" serial4 NOT NULL,
	file_id int4 NOT NULL,
	"DOC_ID" varchar(100) NULL DEFAULT NULL::character varying,
	"DATADOK" timestamp NULL,
	"S10100" varchar(8) NULL DEFAULT NULL::character varying,
	"S10200" varchar(2) NULL DEFAULT NULL::character varying,
	"S10300" varchar(2) NULL DEFAULT NULL::character varying,
	"S20100" varchar(11) NULL DEFAULT NULL::character varying,
	"S20200" varchar(11) NULL DEFAULT NULL::character varying,
	"S20300" varchar(20) NULL DEFAULT NULL::character varying,
	"N30100" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30110" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30120" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30130" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30140" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30200" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30210" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30220" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30230" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30240" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30300" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30310" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30320" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30330" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N30340" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40100" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40110" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40120" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40130" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40140" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40200" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40300" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40400" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40600" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40610" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40620" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40630" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40700" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40710" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40720" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40730" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40800" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40810" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40820" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N40830" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N50000" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N50100" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N50200" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N50300" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"N50400" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"S50500" varchar(200) NULL DEFAULT NULL::character varying,
	"S50700" varchar(12) NULL DEFAULT NULL::character varying,
	"S50800" varchar(20) NULL DEFAULT NULL::character varying,
	"S50900" varchar(11) NULL DEFAULT NULL::character varying,
	"N60000" numeric(19, 2) NULL DEFAULT NULL::numeric,
	"S60100" varchar(200) NULL DEFAULT NULL::character varying,
	"S60200" varchar(12) NULL DEFAULT NULL::character varying,
	"S60300" varchar(9) NULL DEFAULT NULL::character varying,
	"S60400" varchar(200) NULL DEFAULT NULL::character varying,
	"S60500" varchar(12) NULL DEFAULT NULL::character varying,
	"S60600" varchar(9) NULL DEFAULT NULL::character varying,
	"S60700" varchar(20) NULL DEFAULT NULL::character varying,
	"S60800" varchar(11) NULL DEFAULT NULL::character varying,
	"S60900" varchar(8) NULL DEFAULT NULL::character varying,
	"N70000" numeric(19, 2) NULL DEFAULT NULL::numeric,
	CONSTRAINT bc_kls_pkey PRIMARY KEY ("C002001", file_id)
);
CREATE INDEX ix_bc_kls_file_id ON mo_data.bc_kls USING btree (file_id);
CREATE INDEX ix_bc_kls_kbk ON mo_data.bc_kls USING btree ("S20300");
CREATE INDEX ix_bc_kls_oktmo ON mo_data.bc_kls USING btree ("S20200");
CREATE INDEX ix_bc_kls_okved ON mo_data.bc_kls USING btree ("S10100");


-- mo_data.file_info definition

-- Drop table

-- DROP TABLE mo_data.file_info;

CREATE TABLE mo_data.file_info (
	file_id serial4 NOT NULL,
	file_name varchar(1000) NULL DEFAULT NULL::character varying,
	file_type varchar(1000) NULL DEFAULT NULL::character varying,
	file_year int4 NULL,
	file_month int4 NULL,
	file_size int4 NULL,
	recipient_name varchar(1000) NULL DEFAULT NULL::character varying,
	sender_name varchar(1000) NULL DEFAULT NULL::character varying,
	sender_phone varchar(1000) NULL DEFAULT NULL::character varying,
	sender_position varchar(1000) NULL DEFAULT NULL::character varying,
	sender_fio varchar(1000) NULL DEFAULT NULL::character varying,
	docs_count varchar(1000) NULL DEFAULT NULL::character varying,
	group_count varchar(1000) NULL DEFAULT NULL::character varying,
	group_success_count varchar(1000) NULL DEFAULT NULL::character varying,
	group_error_count varchar(1000) NULL DEFAULT NULL::character varying,
	group_ready_count varchar(1000) NULL DEFAULT NULL::character varying,
	tax_accrued varchar(1000) NULL DEFAULT NULL::character varying,
	tax_received varchar(1000) NULL DEFAULT NULL::character varying,
	CONSTRAINT file_info_pkey PRIMARY KEY (file_id)
);
CREATE INDEX ix_file_info_date ON mo_data.file_info USING btree (file_year, file_month);
CREATE INDEX ix_file_info_file_id ON mo_data.file_info USING btree (file_id);


-- mo_data.import_log definition

-- Drop table

-- DROP TABLE mo_data.import_log;

CREATE TABLE mo_data.import_log (
	log_id serial4 NOT NULL,
	file_id int4 NULL,
	file_path varchar(1000) NULL DEFAULT NULL::character varying,
	import_data timestamp NULL,
	import_status varchar(1000) NULL DEFAULT NULL::character varying,
	import_end_date timestamp NULL,
	user_info json NULL,
	CONSTRAINT import_log_pkey PRIMARY KEY (log_id)
);
CREATE INDEX ix_import_log_file_id ON mo_data.import_log USING btree (file_id);

-- DROP SCHEMA mo_dict;

CREATE SCHEMA mo_dict;

-- DROP SEQUENCE mo_dict.versions_id_seq;

CREATE SEQUENCE mo_dict.versions_id_seq
	INCREMENT BY 1
	MINVALUE 1
	MAXVALUE 2147483647
	START 1
	CACHE 1
	NO CYCLE;-- mo_dict.fed_budget definition

-- Drop table

-- DROP TABLE mo_dict.fed_budget;

CREATE TABLE mo_dict.fed_budget (
	kod varchar(20) NOT NULL,
	naim varchar(1000) NOT NULL,
	fed_bud numeric(18, 8) NOT NULL,
	reg_bud numeric(18, 8) NOT NULL,
	bud_m_mr numeric(18, 8) NOT NULL,
	bud_m_p numeric(18, 8) NOT NULL,
	bud_m_go numeric(18, 8) NOT NULL,
	bud_m_dop numeric(18, 8) NOT NULL,
	bud_m_gd numeric(18, 8) NOT NULL,
	bud_m_vr numeric(18, 8) NOT NULL,
	bud_m_ps numeric(18, 8) NOT NULL,
	bud_dr_reg numeric(18, 8) NOT NULL,
	bud_ffoms numeric(18, 8) NOT NULL,
	bud_tfoms numeric(18, 8) NOT NULL,
	bud_fss numeric(18, 8) NOT NULL,
	bud_pfr numeric(18, 8) NOT NULL,
	"year" int4 NULL
);
CREATE INDEX ix_fed_budget_kod ON mo_dict.fed_budget USING btree (kod);
CREATE INDEX ix_fed_budget_year ON mo_dict.fed_budget USING btree (year);


-- mo_dict.kbk definition

-- Drop table

-- DROP TABLE mo_dict.kbk;

CREATE TABLE mo_dict.kbk (
	kod varchar(20) NOT NULL,
	naim varchar(4000) NOT NULL,
	"year" int4 NULL
);
CREATE INDEX ix_kbk_kod ON mo_dict.kbk USING btree (kod, year);


-- mo_dict.listkbk1 definition

-- Drop table

-- DROP TABLE mo_dict.listkbk1;

CREATE TABLE mo_dict.listkbk1 (
	id int4 NOT NULL,
	kbk varchar(20) NOT NULL,
	naim varchar(800) NOT NULL,
	data_mod timestamp NULL,
	edit int4 NULL,
	rpt int4 NULL,
	idl int4 NULL
);


-- mo_dict.listkbk2 definition

-- Drop table

-- DROP TABLE mo_dict.listkbk2;

CREATE TABLE mo_dict.listkbk2 (
	id int4 NOT NULL,
	idparent int4 NOT NULL,
	kbk varchar(20) NOT NULL,
	naim varchar(800) NOT NULL,
	data_begin timestamp NULL,
	data_end timestamp NULL
);


-- mo_dict.oktmo definition

-- Drop table

-- DROP TABLE mo_dict.oktmo;

CREATE TABLE mo_dict.oktmo (
	kod varchar(11) NULL DEFAULT NULL::character varying,
	razdel varchar(1) NULL DEFAULT NULL::character varying,
	naim varchar(500) NULL DEFAULT NULL::character varying,
	centrum varchar(250) NULL DEFAULT NULL::character varying,
	coment varchar(8000) NULL DEFAULT NULL::character varying
);
CREATE INDEX ix_oktmo_kod ON mo_dict.oktmo USING btree (kod);


-- mo_dict.okved definition

-- Drop table

-- DROP TABLE mo_dict.okved;

CREATE TABLE mo_dict.okved (
	id int4 NOT NULL,
	name_str varchar(255) NOT NULL,
	okved varchar(255) NOT NULL,
	kod_str int4 NOT NULL,
	nachalo varchar(255) NOT NULL,
	konec varchar(255) NOT NULL,
	kod_str1 varchar(255) NOT NULL,
	adm varchar(1) NULL DEFAULT NULL::character varying
);


-- mo_dict.okved_all definition

-- Drop table

-- DROP TABLE mo_dict.okved_all;

CREATE TABLE mo_dict.okved_all (
	razdel varchar(1) NOT NULL,
	kod varchar(8) NOT NULL,
	naim varchar(1000) NOT NULL,
	"text" varchar(3000) NULL
);


-- mo_dict.okved_system definition

-- Drop table

-- DROP TABLE mo_dict.okved_system;

CREATE TABLE mo_dict.okved_system (
	id int4 NULL,
	name_str varchar(1000) NULL,
	okved varchar(1000) NULL,
	kod_str varchar(1000) NULL,
	nachalo varchar(1000) NULL,
	konec varchar(1000) NULL
);


-- mo_dict.reg_budget definition

-- Drop table

-- DROP TABLE mo_dict.reg_budget;

CREATE TABLE mo_dict.reg_budget (
	okato varchar(11) NOT NULL,
	kod varchar(20) NOT NULL,
	naim varchar(1000) NOT NULL,
	reg_bud numeric(18, 8) NOT NULL,
	bud_m_mr numeric(18, 8) NOT NULL,
	bud_m_p numeric(18, 8) NOT NULL,
	bud_m_go numeric(18, 8) NOT NULL,
	bud_m_dop numeric(18, 8) NOT NULL,
	bud_m_gd numeric(18, 8) NOT NULL,
	bud_m_vr numeric(18, 8) NOT NULL,
	bud_m_ps numeric(18, 8) NOT NULL,
	bud_dr_reg numeric(18, 8) NOT NULL,
	bud_ffoms numeric(18, 8) NOT NULL,
	bud_tfoms numeric(18, 8) NOT NULL,
	bud_fss numeric(18, 8) NOT NULL,
	bud_pfr numeric(18, 8) NOT NULL,
	oktmo varchar(11) NOT NULL,
	"year" int4 NULL
);
CREATE INDEX ix_reg_budget_kod ON mo_dict.reg_budget USING btree (kod);
CREATE INDEX ix_reg_budget_year ON mo_dict.reg_budget USING btree (year);


-- mo_dict.versions definition

-- Drop table

-- DROP TABLE mo_dict.versions;

CREATE TABLE mo_dict.versions (
	id serial4 NOT NULL,
	"name" varchar(100) NULL,
	"year" int4 NULL,
	"version" varchar(100) NULL,
	updatedate timestamp NULL,
	CONSTRAINT versions_pkey PRIMARY KEY (id)
);

-- DROP SCHEMA mo_enp;

CREATE SCHEMA mo_enp;

-- DROP SEQUENCE mo_enp.enp_id_seq;

CREATE SEQUENCE mo_enp.enp_id_seq
	INCREMENT BY 1
	MINVALUE 1
	MAXVALUE 2147483647
	START 1
	CACHE 1
	NO CYCLE;
-- DROP SEQUENCE mo_enp.file_info_file_id_seq;

CREATE SEQUENCE mo_enp.file_info_file_id_seq
	INCREMENT BY 1
	MINVALUE 1
	MAXVALUE 2147483647
	START 1
	CACHE 1
	NO CYCLE;
-- DROP SEQUENCE mo_enp.import_log_log_id_seq;

CREATE SEQUENCE mo_enp.import_log_log_id_seq
	INCREMENT BY 1
	MINVALUE 1
	MAXVALUE 2147483647
	START 1
	CACHE 1
	NO CYCLE;-- mo_enp.enp definition

-- Drop table

-- DROP TABLE mo_enp.enp;

CREATE TABLE mo_enp.enp (
	id serial4 NOT NULL,
	file_id int4 NOT NULL,
	naim varchar(500) NOT NULL,
	inn varchar(12) NOT NULL,
	kpp varchar(9) NOT NULL,
	summ numeric(19, 2) NOT NULL,
	"date" date NOT NULL,
	oktmo varchar(12) NOT NULL,
	inn_adb varchar(12) NOT NULL,
	kpp_adb varchar(9) NOT NULL,
	kbk varchar(20) NOT NULL,
	CONSTRAINT enp_pkey PRIMARY KEY (id)
);
CREATE INDEX ix_enp_file_id ON mo_enp.enp USING btree (file_id);
CREATE INDEX ix_enp_main ON mo_enp.enp USING btree (inn, oktmo, kbk);


-- mo_enp.file_info definition

-- Drop table

-- DROP TABLE mo_enp.file_info;

CREATE TABLE mo_enp.file_info (
	file_id serial4 NOT NULL,
	file_name varchar(1000) NULL,
	file_type varchar(1000) NULL,
	request_id varchar(100) NULL,
	response_id varchar(100) NULL,
	message_number int4 NULL,
	message_count int4 NULL,
	date_from date NULL,
	date_to date NULL,
	CONSTRAINT file_info_pkey PRIMARY KEY (file_id)
);


-- mo_enp.import_log definition

-- Drop table

-- DROP TABLE mo_enp.import_log;

CREATE TABLE mo_enp.import_log (
	log_id serial4 NOT NULL,
	file_id int4 NULL,
	file_path varchar(1000) NULL,
	import_data timestamp NULL,
	import_status varchar(1000) NULL,
	import_end_date timestamp NULL,
	import_message text NULL,
	CONSTRAINT import_log_pkey PRIMARY KEY (log_id)
);
CREATE INDEX ix_import_log_file_id ON mo_enp.import_log USING btree (file_id);
